Name: libfdata
Version: 20240114
Release: 1
Summary: Library to provide generic file data functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libfdata
     
BuildRequires: gcc     

%description -n libfdata
Library to provide generic file data functions

%package -n libfdata-static
Summary: Library to provide generic file data functions
Group: Development/Libraries
Requires: libfdata = %{version}-%{release}

%description -n libfdata-static
Static library version of libfdata.

%package -n libfdata-devel
Summary: Header files and libraries for developing applications for libfdata
Group: Development/Libraries
Requires: libfdata = %{version}-%{release}

%description -n libfdata-devel
Header files and libraries for developing applications for libfdata.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfdata
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libfdata-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libfdata-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfdata.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sun Jan 14 2024 Joachim Metz <joachim.metz@gmail.com> 20240114-1
- Auto-generated

